Subject: Re: bug#48158: [PATCH] gnu: xboard: Patch path to aplay.
From: Ludovic Courtès <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 May 2021 18:02:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Michael Rohleder <[email-masked]> skribis:

> Fixes <http://issues.guix.gnu.org/47195>.
>
> * gnu/packages/games.scm (xboard): Patch path to aplay.
> [inputs]: Add alsa-utils.
> [arguments]: Add phase patch-aplay-path.

Applied, thanks!

Incidentally, the following still breaks on the first move:

  $ guix environment --ad-hoc xboard -- xboard
  […]
  xboard: Error writing to first chess program: Broken pipe

At first sight the reason may be that it doesn’t find ‘fairymax’ (what’s
that?) in $PATH.  I’m sure I’m missing something obvious, but I wonder
if we could make it work out of the box.

Thoughts?

Ludo’.